Bug 103951 - [CI] igt@* - incomplete - timeout/Softdog - dmesg-warn *ERROR* [CRTC:40:pipe A] flip_done timed out
Summary: [CI] igt@* - incomplete - timeout/Softdog - dmesg-warn *ERROR* [CRTC:40:pipe ...
Status: CLOSED DUPLICATE of bug 103712
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-28 08:04 UTC by Marta Löfstedt
Modified: 2018-01-04 18:36 UTC (History)
1 user (show)

See Also:
i915 platform: BXT, GLK
i915 features: display/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marta Löfstedt 2017-11-28 08:04:14 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-apl3/igt@gem_pipe_control_store_loop@reused-buffer.html

Softdog

run.log:
running: igt/gem_pipe_control_store_loop/reused-buffer

[14/75] skip: 8, pass: 4, dmesg-fail: 2 -             
owatch: TIMEOUT!
owatch: timeout for /dev/watchdog0 set to 10 (requested 10)
FATAL: command execution failed

dmesg:
<3>[ 3766.255051] [drm:drm_atomic_helper_wait_for_flip_done] *ERROR* [CRTC:40:pipe A] flip_done timed out
...
<3>[ 4275.576605] i915 0000:00:02.0: bcs0 is not idle before parking
Comment 1 Marta Löfstedt 2017-11-28 08:07:15 UTC
note bug 103712 is probably the same issue but for SNB
Comment 2 Marta Löfstedt 2017-11-28 08:09:59 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3396/shard-apl8/igt@drv_hangman@error-state-basic.html

[ 1075.206347] [drm:drm_atomic_helper_wait_for_dependencies] *ERROR* [CRTC:40:pipe A] flip_done timed out
Comment 3 Marta Löfstedt 2017-11-28 08:29:00 UTC
more dmesg-warn on:
drm:drm_atomic_helper_wait_for_flip_done] *ERROR* [CRTC:40:pipe A] flip_done timed out

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3396/shard-apl8/igt@prime_self_import@basic-with_one_bo.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3396/shard-apl2/igt@gem_mmap_gtt@forked-big-copy.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3396/shard-apl2/igt@syncobj_wait@wait-for-submit-snapshot.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3396/shard-apl4/igt@kms_universal_plane@cursor-fb-leak-pipe-b.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3396/shard-apl2/igt@kms_flip@flip-vs-modeset-interruptible.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3397/shard-apl8/igt@gem_pwrite@big-gtt-fbr.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3397/shard-apl4/igt@kms_chv_cursor_fail@pipe-c-256x256-left-edge.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3397/shard-apl4/igt@gem_render_copy.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3397/shard-apl7/igt@kms_flip@blocking-absolute-wf_vblank-interruptible.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3397/shard-apl2/igt@kms_color@legacy-gamma-reset-pipe1.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3397/shard-apl5/igt@kms_chv_cursor_fail@pipe-b-256x256-top-edge.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3397/shard-apl4/igt@kms_chv_cursor_fail@pipe-a-256x256-right-edge.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3397/shard-apl7/igt@prime_busy@basic-before-default.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3397/shard-apl7/igt@gem_exec_suspend@basic-s3-devices.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3397/shard-apl4/igt@kms_cursor_crc@cursor-256x85-onscreen.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3396/shard-apl2/igt@gem_exec_gttfill@basic.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3396/shard-apl2/igt@kms_busy@extended-pageflip-hang-oldfb-render-c.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-apl6/igt@pm_rc6_residency@rc6-accuracy.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-apl5/igt@kms_atomic_interruptible@universal-setplane-primary.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-apl6/igt@kms_addfb_basic@bad-pitch-63.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-apl6/igt@prime_mmap@test_map_unmap.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-apl6/igt@gem_mmap_gtt@basic-wc.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-apl6/igt@drv_hangman@error-state-sysfs-entry.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-apl7/igt@kms_setmode@basic-clone-single-crtc.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-apl4/igt@kms_cursor_legacy@pipe-b-torture-bo.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-apl1/igt@gem_workarounds@reset-fd.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-apl3/igt@kms_addfb_basic@bad-pitch-1024.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-apl2/igt@vgem_basic@second-client.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-apl6/igt@kms_cursor_legacy@pipe-c-torture-bo.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-apl2/igt@gem_fence_thrash@bo-write-verify-y.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-apl6/igt@prime_mmap@test_dup.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-apl2/igt@syncobj_wait@multi-wait-submitted-signaled.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-apl2/igt@kms_ccs@pipe-d-bad-rotation-90.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-apl2/igt@perf_pmu@idle-bcs0.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-apl7/igt@pm_rpm@i2c.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-apl6/igt@gem_mmap_gtt@forked-medium-copy-odd.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-apl7/igt@kms_chv_cursor_fail@pipe-c-64x64-right-edge.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-apl6/igt@kms_atomic_interruptible@legacy-pageflip.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-apl6/igt@kms_chv_cursor_fail@pipe-a-128x128-bottom-edge.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-apl1/igt@kms_chv_cursor_fail@pipe-b-128x128-bottom-edge.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-apl4/igt@kms_flip@flip-vs-modeset-vs-hang-interruptible.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-apl3/igt@debugfs_test@read_all_entries.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-apl2/igt@gem_wait@await-render.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-apl4/igt@gem_exec_parallel@render-contexts.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-apl3/igt@perf_pmu@multi-client-bcs0.html
Comment 4 Marta Löfstedt 2017-11-28 08:43:42 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3397/shard-apl8/igt@gem_exec_flush@basic-wb-set-default.html

Softdog

run.log:
running: igt/gem_exec_flush/basic-wb-set-default         

[30/75] skip: 7, pass: 21, dmesg-warn: 1, dmesg-fail: 1 -
owatch: TIMEOUT!
owatch: timeout for /dev/watchdog0 set to 10 (requested 10)

dmesg:
<3>[  765.625032] [drm:drm_atomic_helper_wait_for_flip_done] *ERROR* [CRTC:40:pipe A] flip_done timed out
Comment 5 Marta Löfstedt 2017-11-28 08:46:17 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3397/shard-apl4/igt@kms_rotation_crc@bad-pixel-format.html

Softdog

run.log:
running: igt/kms_rotation_crc/bad-pixel-format

[62/75] skip: 21, pass: 39, dmesg-fail: 2 -   
owatch: TIMEOUT!
owatch: timeout for /dev/watchdog0 set to 10 (requested 10)

dmesg:
<3>[  283.083116] i915 0000:00:02.0: vecs0 is not idle before parking
...
<3>[  291.299727] [drm:drm_atomic_helper_wait_for_flip_done] *ERROR* [CRTC:40:pipe A] flip_done timed out
Comment 6 Marta Löfstedt 2017-11-28 08:47:58 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3397/shard-apl8/igt@gem_userptr_blits@map-fixed-invalidate-busy-gup.html

Softdog
run.log:
running: igt/gem_userptr_blits/map-fixed-invalidate-busy-gup       

[58/74] skip: 25, pass: 30, dmesg-warn: 1, fail: 1, dmesg-fail: 1 -
owatch: TIMEOUT!
owatch: timeout for /dev/watchdog0 set to 10 (requested 10)

dmesg:
<3>[  313.683005] [drm:drm_atomic_helper_wait_for_flip_done] *ERROR* [CRTC:40:pipe A] flip_done timed out
...
<7>[  852.293183] [drm:missed_breadcrumb [i915]] bcs0 missed breadcrumb at intel_breadcrumbs_hangcheck+0x5a/0x80 [i915], irq posted? yes, current seqno=ac8, last=ac8
<7>[  858.306974] [drm:i915_reset_device [i915]] resetting chip
<5>[  858.307124] i915 0000:00:02.0: Resetting chip after gpu hang
<6>[  858.308916] [drm] RC6 on
<7>[  858.309247] [drm:gen8_init_common_ring [i915]] Execlists enabled for rcs0
<7>[  858.309387] [drm:init_workarounds_ring [i915]] rcs0: Number of context specific w/a: 12
<7>[  858.309601] [drm:gen8_init_common_ring [i915]] Execlists enabled for bcs0
<7>[  858.309899] [drm:gen8_init_common_ring [i915]] Execlists enabled for vcs0
<7>[  858.310119] [drm:gen8_init_common_ring [i915]] Execlists enabled for vecs0
Comment 7 Marta Löfstedt 2017-11-28 08:49:11 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3397/shard-apl3/igt@gem_exec_flush@basic-wb-ro-default.html

Softdog

run.log:
running: igt/gem_exec_flush/basic-wb-ro-default

[26/75] skip: 11, pass: 14, dmesg-fail: 1 -    
owatch: TIMEOUT!
owatch: timeout for /dev/watchdog0 set to 10 (requested 10)

dmesg:
<3>[  684.939755] [drm:drm_atomic_helper_wait_for_flip_done] *ERROR* [CRTC:40:pipe A] flip_done timed out
Comment 8 Marta Löfstedt 2017-11-28 08:50:44 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3396/shard-apl7/igt@gem_exec_create@forked.html

timeout

run.log:
running: igt/gem_exec_create/forked  

[73/75] skip: 26, pass: 45, fail: 2 /
Build timed out (after 17 minutes). Marking the build as aborted.

dmesg:
Comment 9 Marta Löfstedt 2017-11-28 08:51:52 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3396/shard-apl2/igt@kms_universal_plane@universal-plane-pipe-a-sanity.html

timeout

run.log:
running: igt/kms_universal_plane/universal-plane-pipe-a-sanity

[28/75] skip: 8, pass: 13, dmesg-warn: 3, dmesg-fail: 4 |     
Build timed out (after 17 minutes). Marking the build as aborted.

<3>[  126.386097] [drm:drm_atomic_helper_wait_for_flip_done] *ERROR* [CRTC:40:pipe A] flip_done timed out
Comment 10 Marta Löfstedt 2017-11-28 08:52:55 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-apl6/igt@kms_frontbuffer_tracking@fbc-2p-primscrn-cur-indfb-draw-render.html

timeout

run.log:
running: igt/kms_frontbuffer_tracking/fbc-2p-primscrn-cur-indfb-draw-render

[11/75] skip: 4, dmesg-warn: 5, dmesg-fail: 2 \                            
Build timed out (after 17 minutes). Marking the build as aborted.

dmesg:
<3>[ 2124.333114] [drm:drm_atomic_helper_wait_for_dependencies] *ERROR* [CRTC:40:pipe A] flip_done timed out
Comment 11 Marta Löfstedt 2017-11-28 08:54:19 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-apl6/igt@gem_persistent_relocs@forked-interruptible-faulting-reloc-thrash-inactive.html

timeout

run.log:
running: igt/gem_persistent_relocs/forked-interruptible-faulting-reloc-thrash-inactive

[51/75] skip: 18, pass: 29, dmesg-warn: 2, dmesg-fail: 2 \                            
Build timed out (after 17 minutes). Marking the build as aborted.

<3>[ 1088.557101] [drm:drm_atomic_helper_wait_for_flip_done] *ERROR* [CRTC:40:pipe A] flip_done timed out
Comment 12 Marta Löfstedt 2017-11-28 08:55:35 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-apl3/igt@kms_plane_multiple@atomic-pipe-a-tiling-none.html

Softdog

run.log:
running: igt/kms_plane_multiple/atomic-pipe-a-tiling-none 

[36/74] skip: 12, pass: 20, dmesg-warn: 1, dmesg-fail: 3 |
owatch: TIMEOUT!
owatch: timeout for /dev/watchdog0 set to 10 (requested 10)

dmesg:
<3>[  488.928186] [drm:drm_atomic_helper_wait_for_flip_done] *ERROR* [CRTC:40:pipe A] flip_done timed out
Comment 13 Marta Löfstedt 2017-11-28 08:56:54 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-apl7/igt@gem_exec_async@concurrent-writes-blt.html

Softdog
run.log:
running: igt/gem_exec_async/concurrent-writes-blt

[72/75] skip: 25, pass: 45, dmesg-fail: 2 |      
owatch: TIMEOUT!
owatch: timeout for /dev/watchdog0 set to 10 (requested 10)
FATAL: command execution failed

<3>[ 2535.944571] [drm:drm_atomic_helper_wait_for_flip_done] *ERROR* [CRTC:40:pipe A] flip_done timed out
Comment 14 Marta Löfstedt 2017-11-28 08:58:03 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-apl1/igt@gem_wait@basic-wait-write-all.html

Timeout

run.log:
running: igt/gem_wait/basic-wait-write-all                

[53/75] skip: 24, pass: 26, dmesg-warn: 1, dmesg-fail: 2 /
Build timed out (after 17 minutes). Marking the build as aborted.

dmesg:
<3>[ 4457.904038] [drm:drm_atomic_helper_wait_for_flip_done] *ERROR* [CRTC:40:pipe A] flip_done timed out
Comment 15 Marta Löfstedt 2017-11-28 08:59:07 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-apl2/igt@gem_cs_tlb@vebox.html

Softdog
run.log:
running: igt/gem_cs_tlb/vebox                             

[50/74] skip: 24, pass: 23, dmesg-warn: 1, dmesg-fail: 2 -
owatch: TIMEOUT!
owatch: timeout for /dev/watchdog0 set to 10 (requested 10)

dmesg:
<3>[ 3101.496975] [drm:drm_atomic_helper_wait_for_flip_done] *ERROR* [CRTC:40:pipe A] flip_done timed out
Comment 16 Marta Löfstedt 2017-11-28 10:48:50 UTC
GLK-shards:

*ERROR* [CRTC:43:pipe A] flip_done timed out

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3397/shard-glkb2/igt@prime_busy@basic-before-default.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3397/shard-glkb1/igt@gem_render_copy.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3397/shard-glkb4/igt@kms_universal_plane@cursor-fb-leak-pipe-b.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3397/shard-glkb1/igt@kms_atomic_transition@plane-all-modeset-transition-fencing.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3397/shard-glkb4/igt@kms_flip@blocking-absolute-wf_vblank-interruptible.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3397/shard-glkb1/igt@kms_cursor_crc@cursor-256x85-onscreen.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3397/shard-glkb6/igt@kms_flip@flip-vs-modeset-interruptible.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3397/shard-glkb1/igt@kms_chv_cursor_fail@pipe-c-256x256-left-edge.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3397/shard-glkb6/igt@syncobj_wait@wait-for-submit-snapshot.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3396/shard-glkb2/igt@gem_ctx_bad_exec@vebox.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-glkb3/igt@perf_pmu@multi-client-bcs0.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-glkb5/igt@gem_fence_thrash@bo-write-verify-y.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-glkb4/igt@syncobj_wait@wait-any-interrupted.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-glkb3/igt@kms_flip@flip-vs-modeset-vs-hang-interruptible.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-glkb4/igt@gem_pread@basic.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-glkb5/igt@gem_workarounds@reset-fd.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-glkb4/igt@gem_unfence_active_buffers.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-glkb4/igt@kms_flip@plain-flip-interruptible.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-glkb6/igt@vgem_basic@second-client.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-glkb4/igt@gem_exec_await@wide-all.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-glkb4/igt@kms_cursor_legacy@pipe-c-torture-bo.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-glkb2/igt@kms_addfb_basic@bad-pitch-1024.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-glkb4/igt@kms_addfb_basic@too-high.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-glkb4/igt@gem_exec_store@pages-render.html
Comment 18 Marta Löfstedt 2017-11-28 11:16:02 UTC
KBL-shards 

dmesg-warn: *ERROR* [CRTC:37:pipe A] flip_done timed out

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3397/shard-kbl4/igt@prime_busy@basic-before-default.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3397/shard-kbl1/igt@prime_self_import@basic-with_one_bo.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3397/shard-kbl4/igt@kms_addfb_basic@addfb25-bad-modifier.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3397/shard-kbl1/igt@kms_cursor_crc@cursor-256x85-onscreen.htmlhttps://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3397/shard-kbl4/igt@kms_flip@blocking-absolute-wf_vblank-interruptible.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3397/shard-kbl4/igt@prime_busy@wait-after-bsd2.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3397/shard-kbl4/igt@gem_busy@extended-parallel-bsd2.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3397/shard-kbl5/igt@kms_chv_cursor_fail@pipe-c-256x256-left-edge.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3397/shard-kbl1/igt@gem_exec_flush@basic-wb-ro-default.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3397/shard-kbl2/igt@gem_pwrite@big-gtt-fbr.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3396/shard-kbl4/igt@perf_pmu@init-sema-vecs0.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3396/shard-kbl4/igt@gem_wait@write-busy-bsd2.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3396/shard-kbl4/igt@kms_addfb_basic@bad-pitch-999.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-kbl3/igt@perf_pmu@busy-no-semaphores-vecs0.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-kbl2/igt@perf_pmu@multi-client-bcs0.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-kbl6/igt@gem_workarounds@reset-fd.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-kbl6/igt@kms_chv_cursor_fail@pipe-b-128x128-bottom-edge.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-kbl7/igt@vgem_basic@second-client.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3395/shard-kbl5/igt@kms_addfb_basic@bad-pitch-1024.html
Comment 24 Marta Löfstedt 2017-11-28 13:41:31 UTC
(In reply to Marta Löfstedt from comment #23)
> Incompletes on shards CI_DRM_3398:
> 
> Softdog:
> https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3398/shard-apl4/
> igt@gem_cs_tlb@render.html
> 
> Timeout:
> https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3398/shard-apl6/
> igt@gem_pread@stolen-normal.html
> 
> System hang:
> https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3398/shard-snb1/
> igt@gem_tiled_swapping@non-threaded.html
> https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3398/shard-hsw1/run25.log
> 
> Weird, pstore indicate Softdog, but no OWATCH message is run.log,
> unfortunately ftrace as still messing up the pstores:
> 
> https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3398/shard-kbl5/
> igt@gem_cs_tlb@render.html

NOTE https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3398/shard-hsw1/run25.log, does probably not belong here it has no **ERROR** in dmesg. but I file it here anywas, since no reselt from the shards are currently to be trusted.
Comment 25 Marta Löfstedt 2017-11-29 09:29:28 UTC
APL-shards issues this moring:
dmesg-warn: *ERROR* [CRTC:37:pipe A] flip_done timed out:

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3401/shard-apl6/igt@gem_wait@await-bsd2.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3401/shard-apl8/igt@kms_properties@connector-properties-legacy.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3401/shard-apl1/igt@gem_userptr_blits@sync-unmap-after-close.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3401/shard-apl3/igt@gem_userptr_blits@map-fixed-invalidate-overlap-gup.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3401/shard-apl5/igt@gem_mmap_gtt@basic-read.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3401/shard-apl6/igt@core_auth@basic-auth.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3401/shard-apl6/igt@gem_linear_blits@basic.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3401/shard-apl5/igt@syncobj_wait@wait-all-complex.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3401/shard-apl5/igt@gem_bad_reloc@negative-reloc-bltcopy.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3401/shard-apl1/igt@debugfs_test@emon_crash.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3401/shard-apl1/igt@syncobj_basic@bad-pad-fd-to-handle.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3401/shard-apl4/igt@gem_exec_reloc@basic-gtt-read-active.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3401/shard-apl4/igt@gem_mmap_wc@read.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3401/shard-apl1/igt@kms_ccs@pipe-b-bad-rotation-90.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3401/shard-apl7/igt@gem_exec_params@rs-invalid-on-blt-ring.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3402/shard-apl8/igt@kms_flip@wf_vblank-interruptible.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3402/shard-apl7/igt@gem_userptr_blits@map-fixed-invalidate-overlap.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3402/shard-apl2/igt@syncobj_wait@wait-all-for-submit-delayed-submit.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3402/shard-apl1/igt@drm_read@empty-block.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3402/shard-apl2/igt@kms_cursor_legacy@pipe-a-forked-bo.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3402/shard-apl2/igt@kms_flip@nonblocking-read.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3402/shard-apl2/igt@vgem_basic@dmabuf-fence-before.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3402/shard-apl8/igt@gem_fence_thrash@bo-write-verify-threaded-none.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3402/shard-apl1/igt@syncobj_wait@invalid-reset-bad-pad.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3402/shard-apl2/igt@syncobj_wait@single-wait-all-submitted.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3402/shard-apl8/igt@core_prop_blob@blob-multiple.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3402/shard-apl2/igt@syncobj_wait@wait-for-submit-delayed-submit.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4020/shard-apl8/igt@gem_exec_params@invalid-ring.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4020/shard-apl5/igt@gem_ctx_param@non-root-set.html


dmesg-fail: *ERROR* [CRTC:37:pipe A] flip_done timed out:
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3401/shard-apl3/igt@kms_color@gamma-pipe0.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3401/shard-apl7/igt@kms_universal_plane@universal-plane-gen9-features-pipe-c.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3401/shard-apl1/igt@kms_cursor_crc@cursor-64x64-onscreen.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3402/shard-apl7/igt@gem_wait@basic-await-all.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3402/shard-apl2/igt@gem_exec_nop@basic-sequential.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3402/shard-apl8/igt@prime_busy@wait-after-bsd.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3402/shard-apl8/igt@kms_busy@basic-modeset-a.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3402/shard-apl2/igt@kms_color@ctm-red-to-blue-pipe2.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4020/shard-apl3/igt@gem_exec_schedule@smoketest-all.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4020/shard-apl8/igt@prime_busy@after-vebox.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4020/shard-apl5/igt@kms_flip@rcs-wf_vblank-vs-modeset-interruptible.html


incomplete timeout:
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3401/shard-apl5/igt@gem_exec_reloc@basic-wc-gtt-noreloc.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3401/shard-apl6/igt@kms_universal_plane@universal-plane-pipe-d-sanity.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3401/shard-apl4/igt@kms_plane_multiple@atomic-pipe-c-tiling-none.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3401/shard-apl1/igt@kms_draw_crc@draw-method-rgb565-render-xtiled.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3401/shard-apl7/igt@kms_pipe_crc_basic@read-crc-pipe-c-frame-sequence.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3401/shard-apl3/igt@gem_exec_flush@basic-wb-pro-default.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3401/shard-apl1/igt@gem_render_copy_redux@interruptible.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3402/shard-apl8/igt@gem_userptr_blits@map-fixed-invalidate-busy.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3402/shard-apl7/igt@kms_plane_lowres@pipe-b-tiling-x.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3402/shard-apl2/igt@kms_draw_crc@draw-method-xrgb8888-blt-xtiled.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3402/shard-apl1/igt@kms_color@ctm-blue-to-red-pipe0.html

incomplete softdog:
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3401/shard-apl6/igt@gem_exec_reloc@basic-wc-noreloc.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3402/shard-apl4/igt@gem_exec_reloc@basic-wc-read-noreloc.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4020/shard-apl3/igt@gem_busy@busy-render.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4020/shard-apl3/igt@kms_draw_crc@draw-method-xrgb2101010-blt-untiled.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4020/shard-apl8/igt@gem_busy@extended-bsd1.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4020/shard-apl1/igt@gem_render_copy_redux@flink-interruptible.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4020/shard-apl6/igt@gem_exec_reloc@basic-cpu-gtt-noreloc.html
Comment 26 Marta Löfstedt 2017-11-29 09:50:35 UTC
GLK-shards is also contributing with some new subtests:

dmesg-warn: *ERROR* [CRTC:37:pipe A] flip_done timed out:
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3402/shard-glkb1/igt@pm_rpm@modeset-lpsp-stress.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4018/shard-glkb1/igt@pm_rpm@basic-rte.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3400/shard-glkb5/igt@perf_pmu@other-init-4.html



dmesg-fail: *ERROR* [CRTC:37:pipe A] flip_done timed out:
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3402/shard-glkb1/igt@kms_flip@flip-vs-dpms-off-vs-modeset.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4017/shard-glkb5/igt@prime_busy@wait-before-vebox.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3403/shard-glkb4/igt@gem_exec_schedule@promotion-vebox.html


incomplete timeout:
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3399/shard-glkb5/igt@kms_cursor_legacy@pipe-a-torture-move.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3400/shard-glkb5/igt@gem_exec_flush@basic-uc-prw-default.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3401/shard-glkb1/igt@gem_exec_parse@chained-batch.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3402/shard-glkb2/igt@kms_frontbuffer_tracking@fbc-1p-primscrn-spr-indfb-move.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4017/shard-glkb5/igt@gem_tiled_pread_pwrite.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4020/shard-glkb3/igt@gem_busy@busy-vebox.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3403/shard-glkb4/igt@prime_busy@wait-hang-render.html

incomplete Softdog:
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3401/shard-glkb4/igt@kms_3d.html

incomplete system hang?
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4017/shard-glkb6/igt@kms_flip@2x-rcs-wf_vblank-vs-modeset.html
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4018/shard-glkb6/igt@kms_chamelium@dp-hpd-storm-disable.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3403/shard-glkb6/igt@kms_frontbuffer_tracking@fbcpsr-2p-scndscrn-pri-indfb-draw-mmap-gtt.html
Comment 27 Marta Löfstedt 2017-11-29 10:21:17 UTC
and KBL-shards nominates the following:

dmesg-fail:
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3403/shard-kbl4/igt@gem_exec_capture@capture-bsd1.html

incomplete system hang?
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3403/shard-kbl5/igt@kms_frontbuffer_tracking@fbcpsr-2p-scndscrn-spr-indfb-draw-mmap-wc.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3402/shard-kbl1/igt@kms_frontbuffer_tracking@psr-2p-scndscrn-cur-indfb-draw-pwrite.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3402/shard-kbl4/igt@gem_exec_store@pages-bsd1.html

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3401/shard-kbl2/igt@kms_frontbuffer_tracking@psr-2p-scndscrn-pri-indfb-draw-mmap-wc.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3400/shard-kbl2/igt@kms_frontbuffer_tracking@fbc-2p-scndscrn-spr-indfb-move.html


some link-training which I can't file on bug 103558:
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3401/shard-kbl7/igt@kms_busy@extended-pageflip-modeset-hang-oldfb-render-c.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3401/shard-kbl7/igt@kms_flip@busy-flip.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3401/shard-kbl7/igt@kms_cursor_crc@cursor-128x42-random.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3400/shard-kbl1/igt@kms_draw_crc@draw-method-xrgb2101010-pwrite-untiled.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3400/shard-kbl1/igt@gem_pwrite@uncached.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3400/shard-kbl1/igt@gem_exec_schedule@preempt-contexts-render.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3400/shard-kbl1/igt@gem_exec_reuse@single.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3400/shard-kbl1/igt@kms_invalid_dotclock.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3400/shard-kbl1/igt@kms_color@degamma-pipe1.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3400/shard-kbl1/igt@perf_pmu@semaphore-wait-vcs1.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3400/shard-kbl1/igt@pm_rpm@pm-tiling.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3400/shard-kbl1/igt@kms_color@ctm-0-75-pipe1.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3400/shard-kbl1/igt@kms_pipe_crc_basic@read-crc-pipe-a.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3400/shard-kbl1/igt@kms_frontbuffer_tracking@fbc-1p-offscren-pri-shrfb-draw-mmap-wc.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3400/shard-kbl1/igt@pm_rps@reset.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3399/shard-kbl5/igt@kms_flip@wf_vblank-vs-modeset-interruptible.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3399/shard-kbl5/igt@gem_bad_reloc@negative-reloc-lut-bsd.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3399/shard-kbl5/igt@kms_plane_multiple@atomic-pipe-b-tiling-y.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3399/shard-kbl5/igt@kms_frontbuffer_tracking@fbc-tilingchange.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3399/shard-kbl5/igt@perf_pmu@event-wait-rcs0.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3399/shard-kbl5/igt@kms_rotation_crc@exhaust-fences.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3399/shard-kbl5/igt@kms_frontbuffer_tracking@fbc-1p-primscrn-cur-indfb-draw-mmap-cpu.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3399/shard-kbl5/igt@kms_flip@vblank-vs-modeset-suspend.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3399/shard-kbl5/igt@kms_color@legacy-gamma-reset-pipe2.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3399/shard-kbl5/igt@kms_flip@single-buffer-flip-vs-dpms-off-vs-modeset.html
Comment 29 Marta Löfstedt 2017-11-30 07:02:22 UTC
commit 70e02198b7ec3313518db45f738e61ac13c01a48
Author: Maarten Lankhorst <maarten.lankhorst@linux.intel.com>
Date:   Wed Nov 29 09:04:54 2017 +0100

    Revert "Merge branch 'x86-apic-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip"
    
    This is causing massive problems on snb and haswell where after hibernate we no
    longer service interrupts.
    
    The offending commit is bisected to:
    
    commit fdba46ffb4c203b6e6794163493fd310f98bb4be
    Author: Thomas Gleixner <tglx@linutronix.de>
    Date:   Wed Sep 13 23:29:27 2017 +0200
    
        x86/apic: Get rid of multi CPU affinity
    
    It appears to be the root cause for the failures on the other shards too,
    so revert the entire merge for now to make things work correctly again.

this fix the issue. However, the bug should be open until a proper fix is available.
Comment 30 Marta Löfstedt 2017-11-30 07:02:40 UTC

*** This bug has been marked as a duplicate of bug 103712 ***
Comment 31 Marta Löfstedt 2017-11-30 07:08:12 UTC
the revert was integrated to CI_DRM_3408


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.